<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: AccessWindowStatic Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classarm__compute_1_1_access_window_static.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">AccessWindowStatic Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Implementation of a static rectangular access pattern.  
 <a href="classarm__compute_1_1_access_window_static.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_access_window_static_8h_source.xhtml">AccessWindowStatic.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for AccessWindowStatic:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classarm__compute_1_1_access_window_static__coll__graph.svg" width="238" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.xhtml">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae557faf9eb5ec9ffd1e4cd9ee188d6d7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#ae557faf9eb5ec9ffd1e4cd9ee188d6d7">AccessWindowStatic</a> (<a class="el" href="classarm__compute_1_1_tensor_info.xhtml">TensorInfo</a> *info, int start_x, int start_y, int end_x, int end_y)</td></tr>
<tr class="memdesc:ae557faf9eb5ec9ffd1e4cd9ee188d6d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for a static access pattern.  <a href="#ae557faf9eb5ec9ffd1e4cd9ee188d6d7">More...</a><br /></td></tr>
<tr class="separator:ae557faf9eb5ec9ffd1e4cd9ee188d6d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbdf53818c3318f2f6700b15aa055b5d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#adbdf53818c3318f2f6700b15aa055b5d">AccessWindowStatic</a> (const <a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;)=delete</td></tr>
<tr class="separator:adbdf53818c3318f2f6700b15aa055b5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c6934ef061e9aeaa31fa952c05e2730"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a5c6934ef061e9aeaa31fa952c05e2730">operator=</a> (const <a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;)=delete</td></tr>
<tr class="separator:a5c6934ef061e9aeaa31fa952c05e2730"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39d00bd382d82a99f7b2055ff0a4c1e2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a39d00bd382d82a99f7b2055ff0a4c1e2">AccessWindowStatic</a> (<a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a39d00bd382d82a99f7b2055ff0a4c1e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5312479f43d5fd6c46e4e8473049847"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#af5312479f43d5fd6c46e4e8473049847">operator=</a> (<a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;&amp;)=default</td></tr>
<tr class="separator:af5312479f43d5fd6c46e4e8473049847"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a657392da3805fde373c0cef557739d08"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a657392da3805fde373c0cef557739d08">~AccessWindowStatic</a> ()=default</td></tr>
<tr class="separator:a657392da3805fde373c0cef557739d08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a729ab9364d77a28c009732b497c3b835"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a729ab9364d77a28c009732b497c3b835">set_valid_region</a> (const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, const <a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> &amp;input_valid_region)</td></tr>
<tr class="memdesc:a729ab9364d77a28c009732b497c3b835"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the valid region based on the static access pattern and valid region of the inputs.  <a href="#a729ab9364d77a28c009732b497c3b835">More...</a><br /></td></tr>
<tr class="separator:a729ab9364d77a28c009732b497c3b835"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab85c0fd0e72d231aad894f28f12528b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#aab85c0fd0e72d231aad894f28f12528b">compute_valid_region</a> (const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, <a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> input_valid_region) const </td></tr>
<tr class="memdesc:aab85c0fd0e72d231aad894f28f12528b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the valid region based on the static access pattern and valid region of the inputs.  <a href="#aab85c0fd0e72d231aad894f28f12528b">More...</a><br /></td></tr>
<tr class="separator:aab85c0fd0e72d231aad894f28f12528b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ad9fe991410dc3550f6c4fd6e87a708"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a7ad9fe991410dc3550f6c4fd6e87a708">update_window_if_needed</a> (<a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window) const override</td></tr>
<tr class="memdesc:a7ad9fe991410dc3550f6c4fd6e87a708"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shrink the window if padding is not large enough.  <a href="#a7ad9fe991410dc3550f6c4fd6e87a708">More...</a><br /></td></tr>
<tr class="separator:a7ad9fe991410dc3550f6c4fd6e87a708"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4b8f5a316fa4d33a1c600a3f27e590f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#ab4b8f5a316fa4d33a1c600a3f27e590f">update_padding_if_needed</a> (const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window) const override</td></tr>
<tr class="memdesc:ab4b8f5a316fa4d33a1c600a3f27e590f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase the padding to be large enough for the window.  <a href="#ab4b8f5a316fa4d33a1c600a3f27e590f">More...</a><br /></td></tr>
<tr class="separator:ab4b8f5a316fa4d33a1c600a3f27e590f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae80edc371ba9f02d756aed720040878b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#ae80edc371ba9f02d756aed720040878b">compute_valid_region</a> (const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, <a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> input_valid_region, bool border_undefined, <a class="el" href="structarm__compute_1_1_border_size.xhtml">BorderSize</a> border_size) const override</td></tr>
<tr class="memdesc:ae80edc371ba9f02d756aed720040878b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the valid region based on access pattern and valid region of the inputs.  <a href="#ae80edc371ba9f02d756aed720040878b">More...</a><br /></td></tr>
<tr class="separator:ae80edc371ba9f02d756aed720040878b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classarm__compute_1_1_i_access_window"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classarm__compute_1_1_i_access_window')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classarm__compute_1_1_i_access_window.xhtml">IAccessWindow</a></td></tr>
<tr class="memitem:abc3996ab36cfa27811d661debfca5b5f inherit pub_methods_classarm__compute_1_1_i_access_window"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_access_window.xhtml#abc3996ab36cfa27811d661debfca5b5f">~IAccessWindow</a> ()=default</td></tr>
<tr class="separator:abc3996ab36cfa27811d661debfca5b5f inherit pub_methods_classarm__compute_1_1_i_access_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a9c8824b7479a7cfe0c43cb03b63f805d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classarm__compute_1_1_tensor_info.xhtml">TensorInfo</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a9c8824b7479a7cfe0c43cb03b63f805d">_info</a></td></tr>
<tr class="separator:a9c8824b7479a7cfe0c43cb03b63f805d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a482da54e3056fdd14c12bd1490febd2a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a482da54e3056fdd14c12bd1490febd2a">_start_x</a></td></tr>
<tr class="separator:a482da54e3056fdd14c12bd1490febd2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52d465988c8ff914263b289792b0b15a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a52d465988c8ff914263b289792b0b15a">_start_y</a></td></tr>
<tr class="separator:a52d465988c8ff914263b289792b0b15a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cd2ac1bcf5024756e4c48ac8d43ed97"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a1cd2ac1bcf5024756e4c48ac8d43ed97">_end_x</a></td></tr>
<tr class="separator:a1cd2ac1bcf5024756e4c48ac8d43ed97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85980789df8ce8a43eed2535663e5eca"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a85980789df8ce8a43eed2535663e5eca">_end_y</a></td></tr>
<tr class="separator:a85980789df8ce8a43eed2535663e5eca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Implementation of a static rectangular access pattern. </p>
<p>In this implementation the access offsets and sizes are not relative to the current element. Instead they are considered to be absolute coordinates within the accessed tensor's shape. </p>

<p>Definition at line <a class="el" href="_access_window_static_8h_source.xhtml#l00046">46</a> of file <a class="el" href="_access_window_static_8h_source.xhtml">AccessWindowStatic.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae557faf9eb5ec9ffd1e4cd9ee188d6d7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classarm__compute_1_1_tensor_info.xhtml">TensorInfo</a> *&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>start_x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>start_y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>end_x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>end_y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor for a static access pattern. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in,out]</td><td class="paramname">info</td><td><a class="el" href="classarm__compute_1_1_tensor.xhtml" title="Basic implementation of the tensor interface. ">Tensor</a> info of the accessed kernel. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">start_x</td><td>Start of the access in X direction. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">start_y</td><td>Start of the access in Y direction. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">end_x</td><td>End of the access in X direction. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">end_y</td><td>End of the access in Y direction. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adbdf53818c3318f2f6700b15aa055b5d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a39d00bd382d82a99f7b2055ff0a4c1e2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a657392da3805fde373c0cef557739d08"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">~<a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aab85c0fd0e72d231aad894f28f12528b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> compute_valid_region </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;&#160;</td>
          <td class="paramname"><em>window</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a>&#160;</td>
          <td class="paramname"><em>input_valid_region</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Compute the valid region based on the static access pattern and valid region of the inputs. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">window</td><td>Execution window of the kernel. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">input_valid_region</td><td>Combined valid region of all inputs. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae80edc371ba9f02d756aed720040878b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> compute_valid_region </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;&#160;</td>
          <td class="paramname"><em>window</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a>&#160;</td>
          <td class="paramname"><em>input_valid_region</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>border_undefined</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structarm__compute_1_1_border_size.xhtml">BorderSize</a>&#160;</td>
          <td class="paramname"><em>border_size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compute the valid region based on access pattern and valid region of the inputs. </p>
<dl class="section note"><dt>Note</dt><dd>This method assumes that there is no border.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">window</td><td>Execution window of the kernel. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">input_valid_region</td><td>Combined valid region of all inputs. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">border_undefined</td><td>Undefined borders are excluded from the valid region. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">border_size</td><td>Size of the border around the XY-plane of the tensor. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classarm__compute_1_1_i_access_window.xhtml#ae2b4aabf2a14dce92e04c0eeb0ab73b9">IAccessWindow</a>.</p>

</div>
</div>
<a class="anchor" id="a5c6934ef061e9aeaa31fa952c05e2730"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a>&amp; operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="af5312479f43d5fd6c46e4e8473049847"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a>&amp; operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a729ab9364d77a28c009732b497c3b835"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void set_valid_region </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;&#160;</td>
          <td class="paramname"><em>window</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> &amp;&#160;</td>
          <td class="paramname"><em>input_valid_region</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the valid region based on the static access pattern and valid region of the inputs. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">window</td><td>Execution window of the kernel. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">input_valid_region</td><td>Combined valid region of all inputs. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab4b8f5a316fa4d33a1c600a3f27e590f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool update_padding_if_needed </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Increase the padding to be large enough for the window. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">window</td><td><a class="el" href="classarm__compute_1_1_window.xhtml" title="Describe a multidimensional execution window. ">Window</a> used by the kernel.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the padding has been changed. </dd></dl>

<p>Implements <a class="el" href="classarm__compute_1_1_i_access_window.xhtml#abd645498a7cbaebd88b257083e459dd6">IAccessWindow</a>.</p>

</div>
</div>
<a class="anchor" id="a7ad9fe991410dc3550f6c4fd6e87a708"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool update_window_if_needed </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Shrink the window if padding is not large enough. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">window</td><td><a class="el" href="classarm__compute_1_1_window.xhtml" title="Describe a multidimensional execution window. ">Window</a> used by the kernel.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the window has been changed. </dd></dl>

<p>Implements <a class="el" href="classarm__compute_1_1_i_access_window.xhtml#a5b6940395e0168f3f00da892ded537aa">IAccessWindow</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a1cd2ac1bcf5024756e4c48ac8d43ed97"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _end_x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_access_window_static_8h_source.xhtml#l00088">88</a> of file <a class="el" href="_access_window_static_8h_source.xhtml">AccessWindowStatic.h</a>.</p>

</div>
</div>
<a class="anchor" id="a85980789df8ce8a43eed2535663e5eca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _end_y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_access_window_static_8h_source.xhtml#l00089">89</a> of file <a class="el" href="_access_window_static_8h_source.xhtml">AccessWindowStatic.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9c8824b7479a7cfe0c43cb03b63f805d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_tensor_info.xhtml">TensorInfo</a>* _info</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_access_window_static_8h_source.xhtml#l00085">85</a> of file <a class="el" href="_access_window_static_8h_source.xhtml">AccessWindowStatic.h</a>.</p>

</div>
</div>
<a class="anchor" id="a482da54e3056fdd14c12bd1490febd2a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _start_x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_access_window_static_8h_source.xhtml#l00086">86</a> of file <a class="el" href="_access_window_static_8h_source.xhtml">AccessWindowStatic.h</a>.</p>

</div>
</div>
<a class="anchor" id="a52d465988c8ff914263b289792b0b15a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _start_y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_access_window_static_8h_source.xhtml#l00087">87</a> of file <a class="el" href="_access_window_static_8h_source.xhtml">AccessWindowStatic.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>arm_compute/core/<a class="el" href="_access_window_static_8h_source.xhtml">AccessWindowStatic.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
